Consultar pedido por ID

Consulta las informaciones de un pedido por su shipment ID.

GET

https://api.mercadopago.com/proximity-integration/v1/orders/{shipment_id}
Request parameters
Header
Authorization
string

REQUERIDO

Access Token obtenido a través del panel de desarrollador. Obligatorio ser enviado en todas las solicitudes.
x-time-zone
string

REQUERIDO

Zona horaria de las horas que se muestran en el JSON. Por ejemplo: GMT-3.
Path
shipment_id
string

REQUERIDO

Shipment ID del pedido.
Response parameters
id
string
Shipment ID del pedido.
type
string
Este campo hace referencia a la forma en que se entregará el pedido.
DELIVERY: the restaurant will be responsible for delivering the order.
TAKEOUT: the buyer will pick up the order from the restaurant.
displayId
string
ID de pedido que se muestra en la interfaz de la aplicación de pedidos para el comprador.
createdAt
string
Hora de creación del pedido.
Errores

401Error

401

Unauthorized - Access Token is invalid

403Error

403

Forbidden - User cannot access this resource

404Error

404

Not Found - Failed to search shipment

424Error

424

Not Found - Failed to get some information of the order

500Error

500

Internal server error

Request
curl -X GET \
    'https://api.mercadopago.com/proximity-integration/v1/orders/{shipment_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
       -H 'x-time-zone: GMT-3' \
    
Response
{
  "id": "41034141533",
  "type": "DELIVERY",
  "displayId": "9129",
  "createdAt": "2022-02-16T21:20:15.227Z",
  "orderTiming": "INSTANT",
  "preparationStartDateTime": "2022-02-16T21:20:47.755Z",
  "merchant": {
    "id": "1070421029",
    "name": "Doc's Store"
  },
  "items": [
    {
      "id": "MLA1122759502",
      "name": "Burrito Combo Refrigerante",
      "externalCode": "1215451",
      "unit": "UNIT",
      "quantity": 2,
      "specialInstructions": "No quiero cebolla.",
      "options": [
        {
          "id": "MLA1122707065",
          "name": "Soda",
          "externalCode": "151545",
          "unit": "UNIT",
          "quantity": 2,
          "unitPrice": {
            "value": 100,
            "currency": "ARS"
          },
          "totalPrice": {
            "value": 200,
            "currency": "ARS"
          },
          "extension": {
            "group": "Combo with soda"
          }
        }
      ],
      "unitPrice": {
        "value": 300,
        "currency": "ARS"
      },
      "optionsPrice": {
        "value": 200,
        "currency": "ARS"
      },
      "totalPrice": {
        "value": 1000,
        "currency": "ARS"
      },
      "extension": {
        "unitNetPrice": {
          "value": 1000,
          "currency": "ARS"
        }
      }
    }
  ],
  "otherFees": [
    {
      "name": "Name of the Fee",
      "type": "DELIVERY_FEE",
      "receivedBy": "MERCHANT",
      "receiverDocument": "3124123141",
      "price": {
        "value": 119,
        "currency": "ARS"
      }
    }
  ],
  "discounts": [
    {
      "amount": {
        "value": 119,
        "currency": "ARS"
      },
      "target": "ITEM",
      "targetId": "MLA1122759502",
      "sponsorshipValues": [
        {
          "name": "MARKETPLACE",
          "amount": {
            "value": 119,
            "currency": "ARS"
          }
        }
      ],
      "extension": {
        "id": "21515164-001",
        "name": "coupon_off"
      }
    }
  ],
  "total": {
    "itemsPrice": {
      "value": 1000,
      "currency": "ARS"
    },
    "otherFees": {
      "value": 119,
      "currency": "ARS"
    },
    "discount": {
      "value": 0,
      "currency": "ARS"
    },
    "orderAmount": {
      "value": 1119,
      "currency": "ARS"
    }
  },
  "payments": {
    "prepaid": 1119,
    "pending": 0,
    "methods": [
      {
        "currency": "ARS",
        "type": "PREPAID",
        "method": "DIGITAL_WALLET"
      }
    ]
  },
  "customer": {
    "id": "1071059933",
    "name": "Test User",
    "phone": {
      "number": "011 123456789"
    },
    "documentNumber": "2731234567894"
  },
  "delivery": {
    "deliveredBy": "MERCHANT",
    "deliveryAddress": {
      "country": "Argetina",
      "state": "Capital Federal",
      "city": "Santos Lugares",
      "street": "Calle 01",
      "number": "1523",
      "complement": "APTO 58",
      "reference": "Referencia: Next to bakery",
      "formattedAddress": "Calle 01 1523",
      "postalCode": "1428",
      "coordinates": {
        "latitude": -34.55864,
        "longitude": -58.457982
      }
    },
    "estimatedDeliveryDateTime": "2022-02-21T21:49:55Z",
    "deliveryDateTime": "2022-02-21T21:52:55Z"
  },
  "extension": {
    "status": "ready_to_ship",
    "substatus": "printed",
    "store": {
      "id": "44905357",
      "externalCode": "UNID01",
      "brandId": 2641,
      "brandName": "Brand Name"
    },
    "qr": {
      "id": "41382089428",
      "sender_id": 1068595961,
      "hash_code": "v3Xtt15eewkj3Eu2lZt+cJQgDj3H6AHb04y1cMO4nPI=",
      "security_digit": "0"
    },
    "estimatedPickupDate": "2022-02-21T22:00:55Z",
    "paymentsInfo": [
      {
        "id": 58096990331,
        "entity": "ORDER",
        "entityId": 2000005654919550
      }
    ]
  }
}